"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb380>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb420>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb4c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb560>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb600>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb6a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb740>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb7e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb880>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb920>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fb9c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fba60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbb00>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbba0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbc40>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbce0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbd80>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbe20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbec0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff934fbf60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0040>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f00e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0180>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0220>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f02c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0360>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0400>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f04a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0540>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f05e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0680>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0720>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f07c0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0860>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0900>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f09a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0a40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0ae0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0b80>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0c20>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0cc0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0d60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0e00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0ea0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0f40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f0fe0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1080>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1120>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f11c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1260>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1300>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f13a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1440>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f14e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1580>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1620>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f16c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1760>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1800>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f18a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1940>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f19e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1a80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1b20>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1bc0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1c60>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1d00>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1da0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1e40>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1ee0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f1f80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2020>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f20c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2200>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f22a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2340>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f23e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2480>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2520>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2660>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f25c0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f27a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff918f2840>)]
name: str = 'fr_HOCCN'
